﻿
namespace SiliconStudio.Meet.EjpControls.Enumerations
{
    /// <summary>
    /// The types of graphical adorners that can be added to any 
    /// entity in an XPS document loaded into an XpsDocumentViewer.
    /// All the adorner types listed here are custom to this application.
    /// </summary>
    public enum E_DocumentEntityAdornerType
    {
        /// <summary>
        /// The entity has no adorner.
        /// </summary>
        None,

        /// <summary>
        /// The entity has been decorated 
        /// with a Pen Line.
        /// </summary>
        PenLine,

        /// <summary>
        /// The entity has been decorated 
        /// with a Marker Line.
        /// </summary>
        MarkerLine

    }//:end E_DocumentEntityAdornerType
}
